%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           plutosvg
Version:        0.0.7
Release:        %mkrel 1
Summary:        Tiny SVG rendering library in C
License:        MIT
Group:          System/Libraries
URL:            https://github.com/sammycage/plutosvg
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Fix pluto header lookup:
Patch0:         plutosvg-plutovg-header.patch
# Let meson install samples so runpath is removed:
Patch1:         plutosvg-samples.patch
Patch2:         plutosvg-lib-version-and-fix-prefix.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(plutovg) >= 1.0.0

%description
PlutoSVG is a compact and efficient SVG rendering library written in C. It is
specifically designed for parsing and rendering SVG documents embedded in
OpenType fonts, providing an optimal balance between speed and minimal memory
usage. It is also suitable for rendering scalable icons.

%package -n %{libname}
Summary:        Tiny SVG rendering library in C
Group:          System/Libraries

%description -n %{libname}
PlutoSVG is a compact and efficient SVG rendering library written in C. It is
specifically designed for parsing and rendering SVG documents embedded in
OpenType fonts, providing an optimal balance between speed and minimal memory
usage. It is also suitable for rendering scalable icons.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        samples
Summary:        Sample programs for %{name}

%description    samples
Sample programs that use %{name}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
       -DCMAKE_SKIP_RPATH=ON \
       -DPLUTOSVG_ENABLE_FREETYPE=ON
%cmake_build

%install
%cmake_install

install -Dm 0755 %{_vpath_builddir}/examples/camera2png %{buildroot}%{_bindir}/camera2png
install -Dm 0755 %{_vpath_builddir}/examples/emoji2png %{buildroot}%{_bindir}/emoji2png
install -Dm 0755 %{_vpath_builddir}/examples/svg2png %{buildroot}%{_bindir}/svg2png

# Rename sample binaries not to conflict with other packages:
for bin in %{buildroot}%{_bindir}/*; do
   mv $bin %{buildroot}%{_bindir}/%{name}_$(basename $bin)
done

%check
%ctest
# At the moment there are no meson tests defined and the above command is a no-op,
# so run some sample programs as a test that do not require external files:
#{_vpath_builddir}/examples/camera2png
#{_vpath_builddir}/examples/svg2png camera.svg camera.png

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/

%files samples
%{_bindir}/%{name}_camera2png
%{_bindir}/%{name}_emoji2png
%{_bindir}/%{name}_svg2png


%changelog
* Tue Jun 10 2025 daviddavid <daviddavid> 0.0.7-1.mga10
+ Revision: 2190450
- initial package plutosvg

